Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001152TestLinkNew Featurepublic2007-10-30 18:412010-10-09 08:01
Reporterjordisan 
Assigned Tofman 
PrioritylowSeverityfeature requestReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.7.0 final 
Fixed in Version1.8.5 (bug fixing) 
Summary0001152: Test Specification: Pre-conditions field in test cases
DescriptionDon't you think it would be good having a PRE-CONDITIONS field in Test Case Specifications? This would fit better with current fields and with common definitions of test cases:

1.PRE-CONDITIONS
2.Steps
3.Expected Results

At least, being able to activate them for specific projects.

I know we can include them as a custom field, but it remains as plain text, and at the end of the test case. I should be rich text, and be the first field (just before "Steps").
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
(0002470)
mhavlat (reporter)
2007-10-30 19:01

It's possible to implement. But I set lower priority.

The solution could be structured data (XML) in field steps.
(0011812)
fman (administrator)
2010-10-09 08:01

Release 1.9 RC1

- Issue History
Date Modified Username Field Change
2007-10-30 18:41 jordisan New Issue
2007-10-30 18:44 jordisan Note Added: 0002469
2007-10-30 19:01 mhavlat Note Added: 0002470
2007-10-30 19:01 mhavlat Priority normal => low
2007-10-30 19:01 mhavlat Category Test Specification => New Feature
2007-10-30 19:01 mhavlat Summary Pre-conditions field in test cases => Test Specification: Pre-conditions field in test cases
2007-10-30 19:01 mhavlat Note Deleted: 0002469
2007-11-04 07:17 mhavlat Status new => acknowledged
2010-09-10 19:52 fman Status acknowledged => resolved
2010-09-10 19:52 fman Fixed in Version => 1.8.5 (bug fixing)
2010-09-10 19:52 fman Resolution open => fixed
2010-09-10 19:52 fman Assigned To => fman
2010-10-09 08:01 fman Note Added: 0011812
2010-10-09 08:01 fman Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker